Subject: Re: bug#31878: Module autoloading is not thread safe

From: Calvin Heim <[email-masked]>
Date: Mon, 04 Apr 2022 04:47:06 -0700

Hi Ludo and Mark,

> However peg.test fails and it may be related

The patch fails when a module has one of its submodules in its uses list, and
the program starts loading the module before it starts loading the submodule.
In the test case, (ice-9 peg) uses (ice-9 peg codegen) and the test starts
loading (ice-9 peg) before starting to load (ice-9 peg codegen).

I haven't uncovered the cause of the failure though.

Sincerely,
Calvin Heim